Upgrading from Older Versions

Usually upgrading simply involves installing the new package. However, major version releases can sometimes introduce breaking changes, in which case you may need additional steps to upgrade.

Helm 3 to 4+

Helm 4 introduced a breaking change, renaming the FM (Fault Management) datasource to the Entities datasource. You will need to follow a few steps to upgrade your dashboards.

Before you do anything else, make sure you have installed the latest Helm plugin. Also, make sure you have Node.js installed if it is not already.

Export Datasources with Wizzy

First, install Wizzy with npm, and create a place to dump your datasources:

npm i -g wizzy
mkdir /tmp/wizzy
cd /tmp/wizzy

Next, configure wizzy to speak to your Grafana instance and dump your datasources:

# create a local wizzy project directory
wizzy init
# configure Grafana login information
wizzy set grafana url http://localhost:3000
wizzy set grafana username admin
wizzy set grafana password admin
# dump datasources to the project directory
wizzy import datasources

Then, convert any fault datasources to be entity datasources:

perl -pi -e 's/opennms-helm-fault-datasource/opennms-helm-entity-datasource/g' datasources/*.json

Finally, publish your changes back to Grafana:

wizzy export datasources